> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seminode.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Listing Batch

> Deletes Listings with given batch_id belonging to the authenticated user's company.



## OpenAPI

````yaml https://api.seminode.com/v1/docs/public delete /me/listings/batch/{id}
openapi: 3.0.1
info:
  contact: {}
  description: Standard HTTP Basic authentication (username & password).
  title: Seminode API
  version: '1.0'
servers:
  - url: https://api.seminode.com/v1
security: []
tags: []
paths:
  /me/listings/batch/{id}:
    delete:
      tags:
        - Listings
      summary: Delete Listing Batch
      description: >-
        Deletes Listings with given batch_id belonging to the authenticated
        user's company.
      parameters:
        - description: Batch ID
          in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.DetailResponse'
          description: successfully deleted batch
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
          description: batch does not exist
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
          description: user does not have permission
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
          description: failed to delete batch
        default:
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
      security:
        - BearerAuth: []
        - LoginAuth: []
components:
  schemas:
    utils.DetailResponse:
      properties:
        detail:
          type: string
      type: object
    utils.ErrorResponse:
      properties:
        error:
          type: string
      type: object
  securitySchemes:
    BearerAuth:
      description: 'Format: "Bearer &lt;access_token&gt;"'
      in: header
      name: Authorization
      type: apiKey
    LoginAuth:
      scheme: basic
      type: http

````